Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Class DialShape

    java.lang.Object
      org.jfree.chart.plot.DialShape

All Implemented Interfaces:
  java.io.Serializable

    public final class DialShape

extends java.lang.Object
implements java.io.Serializable

Used to indicate the background shape for a `MeterPlot`.

See Also:
  Serialized Form

Field Summary
`static DialShape` | `CHORD` Chord.
`static DialShape` | `CIRCLE` Circle.
`static DialShape` | `PIE` Pie.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` | `hashCode()` Returns a hash code for this instance.
`java.lang.String` | `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CIRCLE

    public static final DialShape CIRCLE

  Circle.

### CHORD

    public static final DialShape CHORD

  Chord.

### PIE

    public static final DialShape PIE

  Pie.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object obj)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the other object.
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this instance.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hash code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.